PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgeqrs_Tile | ( | PLASMA_desc * | A,
|  | PLASMA_desc * | T,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_zgeqrs_Tile - Computes a minimum-norm solution using the tile QR factorization. Tile equivalent of PLASMA_zgeqrf(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | Details of the QR factorization of the original matrix A as returned by PLASMA_zgeqrf.
  [in] | T | Auxiliary factorization data, computed by PLASMA_zgeqrf.
  [in,out] | B | On entry, the m-by-nrhs right hand side matrix B. On exit, the n-by-nrhs solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zgeqrs
  PLASMA_zgeqrs_Tile_Async
  PLASMA_cgeqrs_Tile
  PLASMA_dgeqrs_Tile
  PLASMA_sgeqrs_Tile
  PLASMA_zgeqrf_Tile